Package Details: seastar-git r4026.e67572ef-1

Git Clone URL: https://aur.archlinux.org/seastar-git.git (read-only, click to copy)
Package Base: seastar-git
Description: High performance server-side application framework
Upstream URL: https://github.com/scylladb/seastar
Keywords: scylla scylladb seastar server
Licenses: Apache
Submitter: quang
Maintainer: None
Last Packager: quang
Votes: 3
Popularity: 0.000399
First Submitted: 2018-12-17 10:39
Last Updated: 2018-12-21 08:39

Latest Comments

rageltman commented on 2021-01-27 01:50

Dependencies seem to have been updated upstream - cares at least:

[2021-01-27T01:16:40.474Z] -- Found Boost: /usr/include (found suitable version "1.75.0", minimum required is "1.64.0") found components: program_options thread unit_test_framework chrono date_time atomic 
[2021-01-27T01:16:40.474Z] -- Found PkgConfig: /usr/bin/pkg-config (found version "1.7.3") 
[2021-01-27T01:16:40.474Z] -- Checking for module 'libcares'
[2021-01-27T01:16:40.474Z] --   Package 'libcares', required by 'virtual:world', not found
[2021-01-27T01:16:40.474Z] CMake Error at /usr/share/cmake-3.19/Modules/FindPackageHandleStandardArgs.cmake:218 (message):
[2021-01-27T01:16:40.474Z]   Could NOT find c-ares: Found unsuitable version "", but required is at
[2021-01-27T01:16:40.474Z]   least "1.13" (found c-ares_LIBRARY-NOTFOUND)

dlin commented on 2018-12-18 09:32

PKGBUILD missing makedepends of fmt.

I found the dpdk could be disable by add " -DSeastar_DPDK=OFF " in cmake option, so it is optional. In my docker environment, I can't build dpdk, so I guess this is a good workarounds.

dlin commented on 2018-12-18 09:16

missing makedepends of dpdk